declare const _default: {
    'code[class*="language-"]': {
        fontFamily: string;
        fontSize: string;
        lineHeight: string;
        direction: string;
        textAlign: string;
        whiteSpace: string;
        wordSpacing: string;
        wordBreak: string;
        MozTabSize: string;
        OTabSize: string;
        tabSize: string;
        WebkitHyphens: string;
        MozHyphens: string;
        msHyphens: string;
        hyphens: string;
        background: string;
        color: string;
    };
    'pre[class*="language-"]': {
        fontFamily: string;
        fontSize: string;
        lineHeight: string;
        direction: string;
        textAlign: string;
        whiteSpace: string;
        wordSpacing: string;
        wordBreak: string;
        MozTabSize: string;
        OTabSize: string;
        tabSize: string;
        WebkitHyphens: string;
        MozHyphens: string;
        msHyphens: string;
        hyphens: string;
        background: string;
        color: string;
        padding: string;
        margin: string;
        borderRadius: string;
        overflow: string;
    };
    'pre > code[class*="language-"]': {
        fontSize: string;
    };
    'code[class*="language-"] ::-moz-selection': {
        textShadow: string;
        background: string;
    };
    'pre[class*="language-"]::selection': {
        textShadow: string;
        background: string;
    };
    ':not(pre) > code[class*="language-"]': {
        padding: string;
        borderRadius: string;
    };
    comment: {
        color: string;
    };
    prolog: {
        color: string;
    };
    doctype: {
        color: string;
    };
    cdata: {
        color: string;
    };
    punctuation: {
        color: string;
    };
    namespace: {
        Opacity: string;
    };
    tag: {
        color: string;
    };
    operator: {
        color: string;
    };
    number: {
        color: string;
    };
    property: {
        color: string;
    };
    function: {
        color: string;
    };
    'tag-id': {
        color: string;
    };
    selector: {
        color: string;
    };
    'atrule-id': {
        color: string;
    };
    'code.language-javascript': {
        color: string;
    };
    'attr-name': {
        color: string;
    };
    'code.language-css': {
        color: string;
    };
    'code.language-scss': {
        color: string;
    };
    boolean: {
        color: string;
    };
    string: {
        color: string;
    };
    entity: {
        color: string;
        cursor: string;
    };
    url: {
        color: string;
    };
    '.language-css .token.string': {
        color: string;
    };
    '.language-scss .token.string': {
        color: string;
    };
    '.style .token.string': {
        color: string;
    };
    'attr-value': {
        color: string;
    };
    builtin: {
        color: string;
    };
    keyword: {
        color: string;
    };
    control: {
        color: string;
    };
    directive: {
        color: string;
    };
    unit: {
        color: string;
    };
    statement: {
        color: string;
    };
    regex: {
        color: string;
    };
    atrule: {
        color: string;
    };
    placeholder: {
        color: string;
    };
    variable: {
        color: string;
    };
    deleted: {
        textDecoration: string;
    };
    inserted: {
        borderBottom: string;
        textDecoration: string;
    };
    italic: {
        fontStyle: string;
    };
    important: {
        fontWeight: string;
        color: string;
    };
    bold: {
        fontWeight: string;
    };
    'pre > code.highlight': {
        Outline: string;
        OutlineOffset: string;
    };
    '.line-numbers .line-numbers-rows': {
        borderRightColor: string;
    };
    '.line-numbers-rows > span:before': {
        color: string;
    };
    '.line-highlight': {
        background: string;
    };
};
export default _default;
